import org.junit.*;
import static org.junit.Assert.*;

public class MoneyTest {
	
	private Currency sek;
	private Money m1;
	
	@Before public void setUp(){
		sek = new Currency("SEK", 9.01);
		m1 = new Money(120,sek);
	}
	
	@Test public void simpleAdd(){
		Money m2 = new Money(80,sek);
		
		Money res = m1.add(m2);
		Money exp = new Money(200,sek);
		assertTrue(exp.equals(res));
	}
			
	@Test public void addDifferentCurr(){
		Currency nok = new Currency("NOK",7.70);
		Money m2 = new Money(160,nok);
		
		Money res = m1.add(m2);
		Money exp = new Money(307,sek);
		assertTrue(exp.equals(res));
	}
	

}